Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.spi.mpeg.sampled.convert
Class MpegFormatConversionProvider

    java.lang.Object
      javax.sound.sampled.spi.FormatConversionProvider
          org.tritonus.share.sampled.convert.TFormatConversionProvider
              org.tritonus.share.sampled.convert.TSimpleFormatConversionProvider
                  org.tritonus.share.sampled.convert.TEncodingFormatConversionProvider
                      javazoom.spi.mpeg.sampled.convert.MpegFormatConversionProvider

public class MpegFormatConversionProvider
extends org.tritonus.share.sampled.convert.TEncodingFormatConversionProvider

ConversionProvider for MPEG files.

Field Summary

Fields inherited from class org.tritonus.share.sampled.convert.TFormatConversionProvider
`EMPTY_ENCODING_ARRAY, EMPTY_FORMAT_ARRAY`

Constructor Summary
`MpegFormatConversionProvider()` Constructor.

Method Summary
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(javax.sound.sampled.AudioFormat targetFormat, javax.sound.sampled.AudioInputStream audioInputStream)`
`boolean` | `isConversionSupported(javax.sound.sampled.AudioFormat targetFormat, javax.sound.sampled.AudioFormat sourceFormat)` Add conversion support for any MpegEncoding source with FrameRate or FrameSize not empty.

Methods inherited from class org.tritonus.share.sampled.convert.TEncodingFormatConversionProvider
`getTargetFormats`

Methods inherited from class org.tritonus.share.sampled.convert.TSimpleFormatConversionProvider
`disable, doMatch, doMatch, getCollectionSourceEncodings, getCollectionSourceFormats, getCollectionTargetEncodings, getCollectionTargetFormats, getFrameSize, getSourceEncodings, getTargetEncodings, getTargetEncodings, isAllowedSourceEncoding, isAllowedSourceFormat, isAllowedTargetEncoding, isAllowedTargetFormat, isSourceEncodingSupported, isTargetEncodingSupported, replaceNotSpecified`

Methods inherited from class org.tritonus.share.sampled.convert.TFormatConversionProvider
`getAudioInputStream, getMatchingFormat`

Methods inherited from class javax.sound.sampled.spi.FormatConversionProvider
`isConversionSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MpegFormatConversionProvider

    public MpegFormatConversionProvider()

  Constructor.

Method Detail

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(javax.sound.sampled.AudioFormat targetFormat,
                                                                    javax.sound.sampled.AudioInputStream audioInputStream)

### isConversionSupported

    public boolean isConversionSupported(javax.sound.sampled.AudioFormat targetFormat,
                                         javax.sound.sampled.AudioFormat sourceFormat)

  Add conversion support for any MpegEncoding source with FrameRate or FrameSize not empty.

  Parameters:
    `targetFormat` -
    `sourceFormat` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005